Loading...
Searching...
No Matches
BpGraph::Arc Class Reference

## Detailed Description

This class identifies a directed arc of the graph. It also serves as a base class of the arc iterators, thus they will convert to this type.

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::Arc:
[legend]

## Public Member Functions

| Arc ()
| Default constructor.
| Arc (const Arc &)
| Copy constructor.
| Arc (Invalid)
| Invalid constructor & conversion.
bool | operator== (Arc) const
| Equality operator.
bool | operator!= (Arc) const
| Inequality operator.
bool | operator< (Arc) const
| Artificial ordering operator.
| operator Edge () const
| Converison to `Edge`.

## Constructor & Destructor Documentation

## Arc() [1/3]

Arc | ( |  | ) |

inline

Default constructor.

Warning
  It sets the object to an undefined value.

## Arc() [2/3]

Arc | ( | const Arc & |  | ) |

inline

Copy constructor.

## Arc() [3/3]

Arc | ( | Invalid |  | ) |

inline

Initializes the object to be invalid.

See also
  Invalid for more details.

## Member Function Documentation

## operator==()

bool operator== | ( | Arc |  | ) | const

inline

Equality operator.

Two iterators are equal if and only if they point to the same object or both are `INVALID`.

## operator!=()

bool operator!= | ( | Arc |  | ) | const

inline

Inequality operator.

## operator<()

bool operator< | ( | Arc |  | ) | const

inline

Artificial ordering operator.

Note
  This operator only has to define some strict ordering of the arcs; this order has nothing to do with the iteration ordering of the arcs.

## operator Edge()

operator Edge | ( |  | ) | const

inline

Converison to `Edge`.